Bug 247354 - [NEW PORT] devel/py-ttictoc: Time execution of blocks of code
Summary: [NEW PORT] devel/py-ttictoc: Time execution of blocks of code
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dan Langille
URL: https://github.com/hector-sab/ttictoc
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-17 19:46 UTC by Gilbert Morgan
Modified: 2020-06-29 19:17 UTC (History)
2 users (show)

See Also:


Attachments
Patch file (2.55 KB, patch)
2020-06-17 19:46 UTC, Gilbert Morgan
gmm: maintainer-approval+
Details | Diff
Patch file (2.53 KB, patch)
2020-06-18 02:24 UTC, Gilbert Morgan
gmm: maintainer-approval+
Details | Diff
Patch file (2.53 KB, patch)
2020-06-23 15:23 UTC, Gilbert Morgan
gmm: maintainer-approval+
Details | Diff
Patch file (2.76 KB, patch)
2020-06-29 17:11 UTC, Gilbert Morgan
gmm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gilbert Morgan 2020-06-17 19:46:24 UTC
Created attachment 215669 [details]
Patch file

New port for submission, py-ttictoc

WWW: https://github.com/hector-sab/ttictoc
Comment 1 Lorenzo Salvadore freebsd_committer 2020-06-17 20:35:06 UTC
^Triage:

- Please set the maintainer-approval attachment flag (to +) on patches for new ports you submit

Attachment -> Details -> maintainer-approval [+]

- Please confirm the new port passes QA (portlint, poudriere at least). 

For details and instructions, see: 

https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 2 Lorenzo Salvadore freebsd_committer 2020-06-17 20:43:02 UTC
^ Triage: Also, if your PR is related to a specific URL, putting it in the URL field can be useful and is recommended.

And thanks for having already fixed the maintainer approval flag :)
Comment 3 Gilbert Morgan 2020-06-18 02:24:46 UTC
Created attachment 215686 [details]
Patch file

This passes muster.
Comment 4 Gilbert Morgan 2020-06-23 15:23:32 UTC
Created attachment 215884 [details]
Patch file
Comment 5 Dan Langille freebsd_committer 2020-06-23 18:01:46 UTC
The devel/Makefile needs to be updated too.
Comment 6 Dan Langille freebsd_committer 2020-06-26 15:47:21 UTC
(In reply to Dan Langille from comment #5)
Sorry, there were communications offline:

* The top of the Makefile should have only: # $FreeBSD$
* the pkg-descr could use a bit more, like the first example from https://github.com/hector-sab/ttictoc

Thank you.
Comment 7 Gilbert Morgan 2020-06-29 17:11:40 UTC
Created attachment 216042 [details]
Patch file
Comment 8 commit-hook freebsd_committer 2020-06-29 19:12:18 UTC
A commit references this bug:

Author: dvl
Date: Mon Jun 29 19:11:37 UTC 2020
New revision: 540825
URL: https://svnweb.freebsd.org/changeset/ports/540825

Log:
  Add py-ttictoc

  Tools for timing python code.

  PR:		247354
  Submitted by:	Gilbert Morgan <gmm@tutanota.com>

Changes:
  head/devel/Makefile
  head/devel/py-ttictoc/
  head/devel/py-ttictoc/Makefile
  head/devel/py-ttictoc/distinfo
  head/devel/py-ttictoc/pkg-descr
Comment 9 Dan Langille freebsd_committer 2020-06-29 19:17:01 UTC
Committed with short example added to pkg-descr as discussed offline.

Thank you.